Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get the status of a red team campaign.
cURL
curl --request GET \ --url https://api.example.com/v1/campaigns/{campaign_id}
import requests url = "https://api.example.com/v1/campaigns/{campaign_id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.example.com/v1/campaigns/{campaign_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/v1/campaigns/{campaign_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "tool": "<string>", "created_at": 123, "started_at": 123, "completed_at": 123, "error_message": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Team that owns this campaign
Successful Response
Response for campaign status queries.
Was this page helpful?
Suggestions